You can skip this in seconds

Click here to continue

BriskBard 1.4.0

What's Required in Version 1.4.0 of BriskBard

Windows 7 or better

What's New in Version 1.4.0 of BriskBard

BriskBard 1.4.0 has been released with many improvements and a new option to check for phishing threats.

These are the new features in the 1.4.0 version :
- The Blink rendering engine is now updated to 57.0.2987.110.
- Added a new manual option to check for phishing threats using Yandex Safe Browsing.
- Improved text search in web browser tabs that use the Blink rendering engine.
- New option to connect to private newsgroups servers that require a username and a password.
- New status bar icon in the web browser to quickly select if popup windows are open or blocked automatically.
- Added a keyboard shortcut to refresh a web page ignoring the cache data : control + F5.
- Now you can select if the spelling service is active in web browser tabs that use the Blink rendering engine.
- SQLite, OpenSSL and Indy have been updated to the latest version.
- Added the total media length in the media player.
- Updated list of public newsgroups servers.
 

Look for Similar Items by Category

Feedback

Popular Downloads